import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, d = Object.getOwnPropertyDescriptor, l = (p, t, i, r) => {
  for (var e = r > 1 ? void 0 : r ? d(t, i) : t, s = p.length - 1, o; s >= 0; s--)
    (o = p[s]) && (e = (r ? o(t, i, e) : o(e)) || e);
  return r && e && m(t, i, e), e;
};
let c = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--faceExcitedFilled", this.class = "c-pieIcon c-pieIcon--faceExcitedFilled", this.name = "IconFaceExcitedFilled";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--faceExcitedFilled"><path d="M12.792 3.207A6.79 6.79 0 0 0 8 1.22 6.781 6.781 0 1 0 14.78 8a6.789 6.789 0 0 0-1.989-4.793ZM10.25 6a.75.75 0 1 1 0 1.5.75.75 0 0 1 0-1.5Zm-4.5 0a.75.75 0 1 1 0 1.5.75.75 0 0 1 0-1.5Zm5.384 3.297c0 1.475-1.406 2.675-3.134 2.675s-3.134-1.2-3.134-2.675v-.656h6.268v.656Z"></path></svg>`;
  }
};
l([
  n({ type: String, reflect: !0 })
], c.prototype, "size", 2);
l([
  n({ type: String, reflect: !0 })
], c.prototype, "class", 2);
c = l([
  h("icon-face-excited-filled")
], c);
export {
  c as IconFaceExcitedFilled
};
